package com.ruoyi.project.monitor.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * PFD管理对象 t_pfd
 *
 * @author ssy
 * @date 2024-06-24
 */
public class TPfd extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 物料编号 */
    @Excel(name = "物料编号")
    private String code;

    /** 描述" */
    @Excel(name = "描述")
    private String description;

    /** H2O */
    @Excel(name = "H2O")
    private String h2o;

    /** HYDROGEN */
    @Excel(name = "HYDROGEN")
    private String hydrogen;

    /** CO */
    @Excel(name = "CO")
    private String co;

    /** METHANE */
    @Excel(name = "METHANE")
    private String methane;

    /** ACETYLN */
    @Excel(name = "ACETYLN")
    private String acetyln;

    /** ETHYLENE */
    @Excel(name = "ETHYLENE")
    private String ethylene;

    /** ETHANE */
    @Excel(name = "ETHANE")
    private String ethane;

    /** MACETYLN */
    @Excel(name = "MACETYLN")
    private String macetyln;

    /** PROPDIEN */
    @Excel(name = "PROPDIEN")
    private String propdien;

    /** PROPYLEN */
    @Excel(name = "PROPYLEN")
    private String propylen;

    /** PROPANE */
    @Excel(name = "PROPANE")
    private String propane;

    /** 13BUTD */
    @Excel(name = "13BUTD")
    private String butd13;

    /** 1BUTENE */
    @Excel(name = "1BUTENE")
    private String butene1;

    /** IBTE */
    @Excel(name = "IBTE")
    private String ibte;

    /** C2BUTENE */
    @Excel(name = "C2BUTENE")
    private String c2butene;

    /** T2BUTENE */
    @Excel(name = "T2BUTENE")
    private String t2butene;

    /** IBUTANE */
    @Excel(name = "IBUTANE")
    private String ibutane;

    /** BUTANE */
    @Excel(name = "BUTANE")
    private String butane;

    /** 13CPD */
    @Excel(name = "13CPD")
    private String cpd13;

    /** ISOPRENE */
    @Excel(name = "ISOPRENE")
    private String isoprene;

    /** C13PND */
    @Excel(name = "C13PND")
    private String c13pnd;

    /** 1PENTENE */
    @Excel(name = "1PENTENE")
    private String pentene1;

    /** IPENTANE */
    @Excel(name = "IPENTANE")
    private String ipentane;

    /** PENTANE */
    @Excel(name = "PENTANE")
    private String pentane;

    /** 1HEXENE */
    @Excel(name = "1HEXENE")
    private String hexene1;

    /** BENZENE */
    @Excel(name = "BENZENE")
    private String benzene;

    /** TOLUENE */
    @Excel(name = "TOLUENE")
    private String toluene;

    /** OXYLENE */
    @Excel(name = "OXYLENE")
    private String oxylene;

    /** C9-200C */
    @Excel(name = "C9-200C")
    private String c9200c;

    /** FUEL OIL */
    @Excel(name = "FUEL OIL")
    private String fuelOil;

    /** CO2 */
    @Excel(name = "CO2")
    private String co2;

    /** H2S */
    @Excel(name = "H2S")
    private String h2s;

    /** NBP 25 */
    @Excel(name = "NBP 25")
    private String nbp25;

    /** NBP 58 */
    @Excel(name = "NBP 58")
    private String nbp58;

    /** NBP 72 */
    @Excel(name = "NBP 72")
    private String nbp72;

    /** NBP 86 */
    @Excel(name = "NBP 86")
    private String nbp86;

    /** NBP 100 */
    @Excel(name = "NBP 100")
    private String nbp100;

    /** NBP 114 */
    @Excel(name = "NBP 114")
    private String nbp114;

    /** NBP 128 */
    @Excel(name = "NBP 128")
    private String nbp128;

    /** NBP 141 */
    @Excel(name = "NBP 141")
    private String nbp141;

    /** NBP 155 */
    @Excel(name = "NBP 155")
    private String nbp155;

    /** NBP 169 */
    @Excel(name = "NBP 169")
    private String nbp169;

    /** NBP 183 */
    @Excel(name = "NBP 183")
    private String nbp183;

    /** NBP 199 */
    @Excel(name = "NBP 199")
    private String nbp199;

    /** NBP 207 */
    @Excel(name = "NBP 207")
    private String nbp207;

    /** NBP 222 */
    @Excel(name = "NBP 222")
    private String nbp222;

    /** NBP 236 */
    @Excel(name = "NBP 236")
    private String nbp236;

    /** NBP 249 */
    @Excel(name = "NBP 249")
    private String nbp249;

    /** Total Molar Flowrate */
    @Excel(name = "Total Molar Flowrate")
    private String totalMolarFlowrate;

    /** Total Mass Flowrate */
    @Excel(name = "Total Mass Flowrate")
    private String totalMassFlowrate;

    /** Total Molecular Weight */
    @Excel(name = "Total Molecular Weight")
    private String totalMolecularWeight;

    /** Temperature */
    @Excel(name = "Temperature")
    private String temperature;

    /** Pressure */
    @Excel(name = "Pressure")
    private String pressure;

    /** Vapor Mass Flowrate */
    @Excel(name = "Vapor Mass Flowrate")
    private String vaporMassFlowrate;

    /** Vapor Molecular Weight */
    @Excel(name = "Vapor Molecular Weight")
    private String vaporMolecularWeight;

    /** Vapor Density, Act */
    @Excel(name = "Vapor Density, Act")
    private String vaporDensityAct;

    /** Vapor Z */
    @Excel(name = "Vapor Z")
    private String vaporZ;

    /** Vapor Act Vol Flow */
    @Excel(name = "Vapor Act Vol Flow")
    private String vaporActVolFlow;

    /** Vapor Ht Capacity */
    @Excel(name = "Vapor Ht Capacity")
    private String vaporHtCapacity;

    /** Vapor Viscosity */
    @Excel(name = "Vapor Viscosity")
    private String vaporViscosity;

    /** Liquid Mass Flowrate */
    @Excel(name = "Liquid Mass Flowrate")
    private String liquidMassFlowrate;

    /** Liquid Molecular Weight */
    @Excel(name = "Liquid Molecular Weight")
    private String liquidMolecularWeight;

    /** Liquid Density, Act */
    @Excel(name = "Liquid Density, Act")
    private String liquidDensityAct;

    /** Liquid Act Vol Flow */
    @Excel(name = "Liquid Act Vol Flow")
    private String liquidActVolFlow;

    /** Liquid Ht Capacity */
    @Excel(name = "Liquid Ht Capacity")
    private String liquidHtCapacity;

    /** Liquid Viscosity */
    @Excel(name = "Liquid Viscosity")
    private String liquidViscosity;

    /** Liquid Surf Tension */
    @Excel(name = "Liquid Surf Tension")
    private String liquidSurfTension;

    /** 删除状态 */
    private String delFlag;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setH2o(String h2o)
    {
        this.h2o = h2o;
    }

    public String getH2o()
    {
        return h2o;
    }
    public void setHydrogen(String hydrogen)
    {
        this.hydrogen = hydrogen;
    }

    public String getHydrogen()
    {
        return hydrogen;
    }
    public void setCo(String co)
    {
        this.co = co;
    }

    public String getCo()
    {
        return co;
    }
    public void setMethane(String methane)
    {
        this.methane = methane;
    }

    public String getMethane()
    {
        return methane;
    }
    public void setAcetyln(String acetyln)
    {
        this.acetyln = acetyln;
    }

    public String getAcetyln()
    {
        return acetyln;
    }
    public void setEthylene(String ethylene)
    {
        this.ethylene = ethylene;
    }

    public String getEthylene()
    {
        return ethylene;
    }
    public void setEthane(String ethane)
    {
        this.ethane = ethane;
    }

    public String getEthane()
    {
        return ethane;
    }
    public void setMacetyln(String macetyln)
    {
        this.macetyln = macetyln;
    }

    public String getMacetyln()
    {
        return macetyln;
    }
    public void setPropdien(String propdien)
    {
        this.propdien = propdien;
    }

    public String getPropdien()
    {
        return propdien;
    }
    public void setPropylen(String propylen)
    {
        this.propylen = propylen;
    }

    public String getPropylen()
    {
        return propylen;
    }
    public void setPropane(String propane)
    {
        this.propane = propane;
    }

    public String getPropane()
    {
        return propane;
    }
    public void setButd13(String butd13)
    {
        this.butd13 = butd13;
    }

    public String getButd13()
    {
        return butd13;
    }
    public void setButene1(String butene1)
    {
        this.butene1 = butene1;
    }

    public String getButene1()
    {
        return butene1;
    }
    public void setIbte(String ibte)
    {
        this.ibte = ibte;
    }

    public String getIbte()
    {
        return ibte;
    }
    public void setC2butene(String c2butene)
    {
        this.c2butene = c2butene;
    }

    public String getC2butene()
    {
        return c2butene;
    }
    public void setT2butene(String t2butene)
    {
        this.t2butene = t2butene;
    }

    public String getT2butene()
    {
        return t2butene;
    }
    public void setIbutane(String ibutane)
    {
        this.ibutane = ibutane;
    }

    public String getIbutane()
    {
        return ibutane;
    }
    public void setButane(String butane)
    {
        this.butane = butane;
    }

    public String getButane()
    {
        return butane;
    }
    public void setCpd13(String cpd13)
    {
        this.cpd13 = cpd13;
    }

    public String getCpd13()
    {
        return cpd13;
    }
    public void setIsoprene(String isoprene)
    {
        this.isoprene = isoprene;
    }

    public String getIsoprene()
    {
        return isoprene;
    }
    public void setC13pnd(String c13pnd)
    {
        this.c13pnd = c13pnd;
    }

    public String getC13pnd()
    {
        return c13pnd;
    }
    public void setPentene1(String pentene1)
    {
        this.pentene1 = pentene1;
    }

    public String getPentene1()
    {
        return pentene1;
    }
    public void setIpentane(String ipentane)
    {
        this.ipentane = ipentane;
    }

    public String getIpentane()
    {
        return ipentane;
    }
    public void setPentane(String pentane)
    {
        this.pentane = pentane;
    }

    public String getPentane()
    {
        return pentane;
    }
    public void setHexene1(String hexene1)
    {
        this.hexene1 = hexene1;
    }

    public String getHexene1()
    {
        return hexene1;
    }
    public void setBenzene(String benzene)
    {
        this.benzene = benzene;
    }

    public String getBenzene()
    {
        return benzene;
    }
    public void setToluene(String toluene)
    {
        this.toluene = toluene;
    }

    public String getToluene()
    {
        return toluene;
    }
    public void setOxylene(String oxylene)
    {
        this.oxylene = oxylene;
    }

    public String getOxylene()
    {
        return oxylene;
    }
    public void setC9200c(String c9200c)
    {
        this.c9200c = c9200c;
    }

    public String getC9200c()
    {
        return c9200c;
    }
    public void setFuelOil(String fuelOil)
    {
        this.fuelOil = fuelOil;
    }

    public String getFuelOil()
    {
        return fuelOil;
    }
    public void setCo2(String co2)
    {
        this.co2 = co2;
    }

    public String getCo2()
    {
        return co2;
    }
    public void setH2s(String h2s)
    {
        this.h2s = h2s;
    }

    public String getH2s()
    {
        return h2s;
    }
    public void setNbp25(String nbp25)
    {
        this.nbp25 = nbp25;
    }

    public String getNbp25()
    {
        return nbp25;
    }
    public void setNbp58(String nbp58)
    {
        this.nbp58 = nbp58;
    }

    public String getNbp58()
    {
        return nbp58;
    }
    public void setNbp72(String nbp72)
    {
        this.nbp72 = nbp72;
    }

    public String getNbp72()
    {
        return nbp72;
    }
    public void setNbp86(String nbp86)
    {
        this.nbp86 = nbp86;
    }

    public String getNbp86()
    {
        return nbp86;
    }
    public void setNbp100(String nbp100)
    {
        this.nbp100 = nbp100;
    }

    public String getNbp100()
    {
        return nbp100;
    }
    public void setNbp114(String nbp114)
    {
        this.nbp114 = nbp114;
    }

    public String getNbp114()
    {
        return nbp114;
    }
    public void setNbp128(String nbp128)
    {
        this.nbp128 = nbp128;
    }

    public String getNbp128()
    {
        return nbp128;
    }
    public void setNbp141(String nbp141)
    {
        this.nbp141 = nbp141;
    }

    public String getNbp141()
    {
        return nbp141;
    }
    public void setNbp155(String nbp155)
    {
        this.nbp155 = nbp155;
    }

    public String getNbp155()
    {
        return nbp155;
    }
    public void setNbp169(String nbp169)
    {
        this.nbp169 = nbp169;
    }

    public String getNbp169()
    {
        return nbp169;
    }
    public void setNbp183(String nbp183)
    {
        this.nbp183 = nbp183;
    }

    public String getNbp183()
    {
        return nbp183;
    }
    public void setNbp199(String nbp199)
    {
        this.nbp199 = nbp199;
    }

    public String getNbp199()
    {
        return nbp199;
    }
    public void setNbp207(String nbp207)
    {
        this.nbp207 = nbp207;
    }

    public String getNbp207()
    {
        return nbp207;
    }
    public void setNbp222(String nbp222)
    {
        this.nbp222 = nbp222;
    }

    public String getNbp222()
    {
        return nbp222;
    }
    public void setNbp236(String nbp236)
    {
        this.nbp236 = nbp236;
    }

    public String getNbp236()
    {
        return nbp236;
    }
    public void setNbp249(String nbp249)
    {
        this.nbp249 = nbp249;
    }

    public String getNbp249()
    {
        return nbp249;
    }
    public void setTotalMolarFlowrate(String totalMolarFlowrate)
    {
        this.totalMolarFlowrate = totalMolarFlowrate;
    }

    public String getTotalMolarFlowrate()
    {
        return totalMolarFlowrate;
    }
    public void setTotalMassFlowrate(String totalMassFlowrate)
    {
        this.totalMassFlowrate = totalMassFlowrate;
    }

    public String getTotalMassFlowrate()
    {
        return totalMassFlowrate;
    }
    public void setTotalMolecularWeight(String totalMolecularWeight)
    {
        this.totalMolecularWeight = totalMolecularWeight;
    }

    public String getTotalMolecularWeight()
    {
        return totalMolecularWeight;
    }
    public void setTemperature(String temperature)
    {
        this.temperature = temperature;
    }

    public String getTemperature()
    {
        return temperature;
    }
    public void setPressure(String pressure)
    {
        this.pressure = pressure;
    }

    public String getPressure()
    {
        return pressure;
    }
    public void setVaporMassFlowrate(String vaporMassFlowrate)
    {
        this.vaporMassFlowrate = vaporMassFlowrate;
    }

    public String getVaporMassFlowrate()
    {
        return vaporMassFlowrate;
    }
    public void setVaporMolecularWeight(String vaporMolecularWeight)
    {
        this.vaporMolecularWeight = vaporMolecularWeight;
    }

    public String getVaporMolecularWeight()
    {
        return vaporMolecularWeight;
    }
    public void setVaporDensityAct(String vaporDensityAct)
    {
        this.vaporDensityAct = vaporDensityAct;
    }

    public String getVaporDensityAct()
    {
        return vaporDensityAct;
    }
    public void setVaporZ(String vaporZ)
    {
        this.vaporZ = vaporZ;
    }

    public String getVaporZ()
    {
        return vaporZ;
    }
    public void setVaporActVolFlow(String vaporActVolFlow)
    {
        this.vaporActVolFlow = vaporActVolFlow;
    }

    public String getVaporActVolFlow()
    {
        return vaporActVolFlow;
    }
    public void setVaporHtCapacity(String vaporHtCapacity)
    {
        this.vaporHtCapacity = vaporHtCapacity;
    }

    public String getVaporHtCapacity()
    {
        return vaporHtCapacity;
    }
    public void setVaporViscosity(String vaporViscosity)
    {
        this.vaporViscosity = vaporViscosity;
    }

    public String getVaporViscosity()
    {
        return vaporViscosity;
    }
    public void setLiquidMassFlowrate(String liquidMassFlowrate)
    {
        this.liquidMassFlowrate = liquidMassFlowrate;
    }

    public String getLiquidMassFlowrate()
    {
        return liquidMassFlowrate;
    }
    public void setLiquidMolecularWeight(String liquidMolecularWeight)
    {
        this.liquidMolecularWeight = liquidMolecularWeight;
    }

    public String getLiquidMolecularWeight()
    {
        return liquidMolecularWeight;
    }
    public void setLiquidDensityAct(String liquidDensityAct)
    {
        this.liquidDensityAct = liquidDensityAct;
    }

    public String getLiquidDensityAct()
    {
        return liquidDensityAct;
    }
    public void setLiquidActVolFlow(String liquidActVolFlow)
    {
        this.liquidActVolFlow = liquidActVolFlow;
    }

    public String getLiquidActVolFlow()
    {
        return liquidActVolFlow;
    }
    public void setLiquidHtCapacity(String liquidHtCapacity)
    {
        this.liquidHtCapacity = liquidHtCapacity;
    }

    public String getLiquidHtCapacity()
    {
        return liquidHtCapacity;
    }
    public void setLiquidViscosity(String liquidViscosity)
    {
        this.liquidViscosity = liquidViscosity;
    }

    public String getLiquidViscosity()
    {
        return liquidViscosity;
    }
    public void setLiquidSurfTension(String liquidSurfTension)
    {
        this.liquidSurfTension = liquidSurfTension;
    }

    public String getLiquidSurfTension()
    {
        return liquidSurfTension;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("h2o", getH2o())
            .append("hydrogen", getHydrogen())
            .append("co", getCo())
            .append("methane", getMethane())
            .append("acetyln", getAcetyln())
            .append("ethylene", getEthylene())
            .append("ethane", getEthane())
            .append("macetyln", getMacetyln())
            .append("propdien", getPropdien())
            .append("propylen", getPropylen())
            .append("propane", getPropane())
            .append("butd13", getButd13())
            .append("butene1", getButene1())
            .append("ibte", getIbte())
            .append("c2butene", getC2butene())
            .append("t2butene", getT2butene())
            .append("ibutane", getIbutane())
            .append("butane", getButane())
            .append("cpd13", getCpd13())
            .append("isoprene", getIsoprene())
            .append("c13pnd", getC13pnd())
            .append("pentene1", getPentene1())
            .append("ipentane", getIpentane())
            .append("pentane", getPentane())
            .append("hexene1", getHexene1())
            .append("benzene", getBenzene())
            .append("toluene", getToluene())
            .append("oxylene", getOxylene())
            .append("c9200c", getC9200c())
            .append("fuelOil", getFuelOil())
            .append("co2", getCo2())
            .append("h2s", getH2s())
            .append("nbp25", getNbp25())
            .append("nbp58", getNbp58())
            .append("nbp72", getNbp72())
            .append("nbp86", getNbp86())
            .append("nbp100", getNbp100())
            .append("nbp114", getNbp114())
            .append("nbp128", getNbp128())
            .append("nbp141", getNbp141())
            .append("nbp155", getNbp155())
            .append("nbp169", getNbp169())
            .append("nbp183", getNbp183())
            .append("nbp199", getNbp199())
            .append("nbp207", getNbp207())
            .append("nbp222", getNbp222())
            .append("nbp236", getNbp236())
            .append("nbp249", getNbp249())
            .append("totalMolarFlowrate", getTotalMolarFlowrate())
            .append("totalMassFlowrate", getTotalMassFlowrate())
            .append("totalMolecularWeight", getTotalMolecularWeight())
            .append("temperature", getTemperature())
            .append("pressure", getPressure())
            .append("vaporMassFlowrate", getVaporMassFlowrate())
            .append("vaporMolecularWeight", getVaporMolecularWeight())
            .append("vaporDensityAct", getVaporDensityAct())
            .append("vaporZ", getVaporZ())
            .append("vaporActVolFlow", getVaporActVolFlow())
            .append("vaporHtCapacity", getVaporHtCapacity())
            .append("vaporViscosity", getVaporViscosity())
            .append("liquidMassFlowrate", getLiquidMassFlowrate())
            .append("liquidMolecularWeight", getLiquidMolecularWeight())
            .append("liquidDensityAct", getLiquidDensityAct())
            .append("liquidActVolFlow", getLiquidActVolFlow())
            .append("liquidHtCapacity", getLiquidHtCapacity())
            .append("liquidViscosity", getLiquidViscosity())
            .append("liquidSurfTension", getLiquidSurfTension())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptId", getDeptId())
            .toString();
    }
}
